 
      @echo off

REM   Tool: Calibrating a computer to GAMS and CPLEX
REM
REM                  \CLEAN.BAT         Version :  Aug 06, 2017
REM                                                Aug 06, 2017
 

REM   Developed for "Public" by Prof. Dr. Josef Kallrath 
REM                                   Scientific Consultant
REM                                   Am Mahlstein 8
REM                                 D-67273 Weisenheim am Berg
REM                                   Germany
REM                           e-mail: josef.kallrath@t-online.de
REM                           e-mail: josef.kallrath@web.de
REM
REM   This DOS command procedure cleans the  directory.
REM

REM *----------------------
REM *  clean this directory
REM *----------------------

      :CLEAN
       IF EXIST calibGAMS.g00       DEL calibGAMS.g00
       IF EXIST calibGAMS.gdx       DEL calibGAMS.gdx

       IF EXIST cplex.o11           DEL cple*.*
                                    del *.bak
                                    del *.csv
                                    del *.gmi
                                    del *.~gm
                                    del *.log
                                    del *.lst
                                    del *.lxi
                                    del *.op*
                                    del *.out
                                    del *.put
                                    del *.ref
                                    del inpct*.txt
                                    del *.*~
                                    del *.tex
                                    del *.tmp

REM   delete all temporary GAMS directories
       for /D %%f in (225?) do rmdir /Q /S %%f

REM
       cls
       dir
       goto EXIT

REM *-------------------------------------------------------------
REM *  end of batch file and EXIT
REM *-------------------------------------------------------------

     :EXIT

REM ---------------------  end-of-file:  clean.bat -----------------------

